/*
Public domain termios cf[get|set][i|o]speed() for the MiNT library
10 October 1993 entropy@terminator.rs.itd.umich.edu -- first attempt
*/

#include <types.h>
#include <termios.h>

speed_t
cfgetispeed(stp)
  const struct termios *stp;
{
  return stp->_c_ispeed;
}

speed_t
cfgetospeed(stp)
  const struct termios *stp;
{
  return stp->_c_ospeed;
}

int
cfsetispeed(stp, baudcode)
  struct termios *stp;
  speed_t baudcode;
{
  stp->_c_ispeed = baudcode;
  return 0;
}

int
cfsetospeed(stp, baudcode)
  struct termios *stp;
  speed_t baudcode;
{
  stp->_c_ospeed = baudcode;
  return 0;
}

